Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 591903 - grub.conf.rpmsave symlink is pointing to a bad file
Summary: grub.conf.rpmsave symlink is pointing to a bad file
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: anaconda
Version: 6.0
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Brian Lane
QA Contact: Release Test Team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-13 13:08 UTC by David Kovalsky
Modified: 2014-03-31 23:45 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-05-24 16:19:59 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description David Kovalsky 2010-05-13 13:08:44 UTC
[root@kovy ~]# ls -l /boot/grub/|egrep '(grub|menu)'
-rw-------. 1 root root    880 May 13  2010 grub.conf
-rw-------. 1 root root    865 May 13  2010 grub.conf.rpmsave
lrwxrwxrwx. 1 root root     11 May 13  2010 menu.lst -> ./grub.conf
lrwxrwxrwx. 1 root root     11 Jul  3  2009 menu.lst.rpmsave -> ./grub.conf

After installing RHEL6 Snap2 with RHEL5 on a different LV and not formatting boot, symlinks are not correct.

menu.lst.rpmsave should point to grub.conf.rpmsave (at least that would make sense to me).

Comment 2 RHEL Product and Program Management 2010-05-13 15:19:35 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Comment 3 Panu Matilainen 2010-05-17 09:23:21 UTC
From rpm perspective, symlinks don't follow their targets on rename so NOTABUG. However these .rpmsave's dont originate from rpm as grub.conf and menu.lst aren't %config files but anaconda (booty/*.py). So if anything is to be done about this it's in anaconda land, reassigning back.

Comment 4 RHEL Product and Program Management 2010-05-17 09:26:38 UTC
Development Management has reviewed and declined this request.  You may appeal
this decision by reopening this request.

Comment 5 David Kovalsky 2010-05-17 13:21:27 UTC
Reopening as I believe that this still should be fixed in Anaconda.

Comment 6 Brian Lane 2010-05-21 21:17:40 UTC
This really is correct. Symlinks are simply a link to a location and don't change what they point to when renamed.

Comment 8 Brian Lane 2010-05-24 16:19:59 UTC
Sorry, but the benefit of doing that is far outweighed by the amount of complexity required to do so.


Note You need to log in before you can comment on or make changes to this bug.